Skip to main content

Retrieve a file

Retrieves a file object.

Parameters

No parameters.

Returns

Returns the file object for a valid identifier.

get
/api/files/{id}
curl https://{workspace}.kitchen.co/api/files/{id} \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"id": "fi_081dcab571f6c37d709078ce",
"location_type": "folder",
"location": "fo_19b9108c92d98f81224ece44",
"approver": null,
"uploader": "u_c01bb6102b6ddadd4b1f020e",
"name": "Screenshot.png",
"size": 348208,
"mime_type": "image/png",
"extension": "png",
"url": "https://k.assets-edge.com/u/ws_046457c4dcfcc7986383e7f4/685132c3e2464-screenshot.png",
"thumbnail": "https://k.assets-edge.com/previews/ws_046457c4dcfcc7986383e7f4/685132c614920-screenshot-476.png",
"approved_at": null,
"created_at": "2025-06-17T09:17:56+00:00",
"updated_at": "2025-06-17T09:17:56+00:00"
}